<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtm
l1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<?php
require 'dfg-conf.inc.php';

/* PHP save_mode? */
if (ini_get('safe_mode')) $safemode = true;
else $safemode = false;

$src = $_GET['src'];
if (!preg_match("/[\/]$/", $src)) $src = $src . "/";

if (!isset($_GET['img'])) $img=0;
else $img = $_GET['img'];

if (is_file($src . "fotos-conf.inc.php")) include $src . 'fotos-conf.inc.php';
?>

<head>
<title><?php echo $TITLE; ?></title>
<?php
include 'dfg_version.php';


/* liest die Bilder ein */
$dir = $src . "images";
if ($handle = opendir($dir)) {
    $i = 0;
    while (false !== ($file = readdir($handle))) { 
      if (is_file($dir."/".$file)) {
	$images[] = $file;
	$i++;
      }
    }
    sort($images);
    $size = count($images);
    
    closedir($handle); 
}

/* Berechnung der Thumbnailseite */
$nr = $img - ($img % $bps);
$seite = ($nr / $bps) + 1;
  

//Text zu dem aktuellen Bild
$text = $src . "text/" . $images[$img] . ".txt";

?>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="description" content="Foto-Galerie erzeugt mit dFG V<?php echo $DFG_VERSION ?> (http://dfg.fieroch.de)" />
<meta name="robots" content="follow" />
<?php 
if (!$_POST['session']) { 
?>
<script type="text/javascript"><!--
document.onkeypress = keyevent;
function keyevent(e) {
  /* vor: 
  next (n) oder forward (f) */
  key_n = 110;
  key_f = 102;
  /* zurck:
  previous (p) oder back (b) */
  key_p = 112;
  key_b = 98;
  /* thumbnails:
  up (u) oder thumbnails (t) */
  key_u = 117;
  key_t = 116;

  if (navigator.appName == "Netscape") { 
    keyval = e.which; 
  }
  else {
    keyval = window.event.keyCode; 
  }
  if (keyval == key_u || keyval == key_t) {
    location = "thumbnails.php?src=<?php print urlencode($src); ?>&seite=<?php print $seite . "&nr=" . $nr; ?>";
    return true; 
  }
  <?php if ($img != 0) { ?>
  if (keyval == key_b || keyval == key_p) {
    location = "image.php?src=<?php print urlencode($src); ?>&img=<? print $img-1 ?>"; 
    return true; 
  }
  <?php 
  }
  if ($img != $size-1) { ?>
  if (keyval == key_n || keyval == key_f) { 
    location = "image.php?src=<?php print urlencode($src); ?>&img=<? print $img+1 ?>"; 
    return true; 
  }
  <?php } ?>
  return; 
}
--></script>
<?php } ?>
</head>

<body>
<?php 

/* Admin-Moduls */
if ($_COOKIE["dfg-Admin"] != null && $PASSWORD == $_COOKIE['dfg-Admin']) {
  /* Text speichern */
  if ($_POST['saveText']) { //save=1
    save($text);
  }

  /* umbenennen */
  if ($_POST['chk_rename']) {
    $newname = $_POST['rename'];
    if (is_file($src . "images/".$newname) || is_file($src .$IMGDIR_DEFAULT."/". $newname) || is_file($src . "thumbs/".$newname)) die("<strong>ERROR:</strong> Die Datei ".$newname." existiert bereits!");
    if (is_file($src ."images/". $images[$img])) {
      if (is_writeable($src ."images/". $images[$img])) {
	rename($src . "images/". $images[$img],$src . "images/".$newname);
      }
      else die("<strong>ERROR:</strong> Die Datei ".$src ."images/". $images[$img]." ist schreibgesch&uuml;tzt!");
    }

    if (is_file($src .$IMGDIR_DEFAULT."/". $images[$img])) {
      if (is_writeable($src .$IMGDIR_DEFAULT."/". $images[$img])) {
	rename($src .$IMGDIR_DEFAULT."/". $images[$img],$src .$IMGDIR_DEFAULT."/". $newname);
      }
      else die( "<strong>ERROR:</strong> Die Datei ".$src .$IMGDIR_DEFAULT."/". $images[$img]." ist schreibgesch&uuml;tzt!");
    }

    if (is_file($src ."thumbs/". $images[$img])) rename($src . "thumbs/". $images[$img],$src . "thumbs/".$newname);

    if (is_file($src ."text/". $images[$img].".txt")) rename($src . "text/". $images[$img].".txt",$src . "text/".$newname.".txt");

    /* Pfade zu Bild und Text-Datei anpassen */
    $images[$img]=$newname;
    $text = $src . "text/" . $images[$img] . ".txt";
  }

  /* Bilddaten lschen */
  if ($_POST['delImg']) {
    $imgsrc = $dir ."/". $images[$img];
    if (is_file($imgsrc)) {
      if (is_writeable($imgsrc)) {
	unlink($imgsrc) or die("<strong>ERROR:</strong> Die Datei $imgsrc konnte nicht gel&ouml;scht werden!");
      } 
      else die("<strong>ERROR:</strong> Die Datei ".$imgsrc." ist schreibgesch&uuml;tzt!");
    }

    $imgorg=$src . $IMGDIR_DEFAULT ."/". $images[$img];
    if (is_file($imgorg)) {
      if (is_writeable($imgorg)) {
	unlink($imgorg) or die("<strong>ERROR:</strong> Die Datei $imgorg konnte nicht gel&ouml;scht werden!");
      }
      else die( "<strong>ERROR:</strong> Die Datei ".$imgorg." ist schreibgesch&uuml;tzt!");
    }

    if (is_file($text)) unlink($text) or die("<strong>ERROR:</strong> Die Datei $text konnte nicht gel&ouml;scht werden!");
    $imgthumb=$src . "thumbs/". $images[$img];
    if (is_file($imgthumb)) unlink($imgthumb) or die("<strong>ERROR:</strong> Die Datei $imgthumb konnte nicht gel&ouml;scht werden!");
    if ($img == 0) $img += 1; else $img -= 1; 
    $size -=1;
  }

  /* Text lschen */
  if ($_POST['delText'] && is_file($text)) {
    unlink($text) or die("<strong>ERROR:</strong> Die Datei $text konnte nicht gel&ouml;scht werden!");
  }
}



function save($text) {
  global $src, $safemode;
  if (!is_dir($src . "text")) {
    if (!$safemode) {
      mkdir($src . "text", 0777) or die("<strong>Error:</strong> Das Verzeichnis \"text\" konnte nicht angelegt werden! Keine Schreibrechte?");
    }
    else die("<strong>ERROR:</strong> Der Server l&auml;uft im <em>php safe_mode</em>!<br />Das Verzeichnis &quot;text&quot; muss im Verzeichnis &quot;$src&quot; manuell angelegt und mit Schreibrechten versehen werden, damit das Skript trotzdem funktioniert!");
  }
  if (!file_exists($text)) {
    touch($text);
  }
  if (is_writeable($text)) {
    $f = fopen($text, "w"); 
    fwrite($f, stripslashes($_POST['txt'])) or die("<strong>Error:</strong> der Kommentar konnte nicht abgespeichert werden!");
    fclose($f);
  }
  else {
    print "<strong>ERROR:</strong> Die Datei $text ist schreibgesch&uuml;tzt!";
    exit;
  }
}



/* im Verzeichnis $IMGDIR_DEFAULT ein Bild $IMG_DEF zu $IMG_DEF_SRC ablegen */
function createDefaultSize($imgsrc, $file) { 
  global $IMGDIR_DEFAULT; 
  global $IMG_WIDTH; 
  global $src;

  $img_size = GetImageSize($imgsrc);

  $typ = $img_size[2]; // JPG oder PNG

  /* Querformat oder Hochformat? */
  if ($img_size[0] > $img_size[1]) {
    // Querformat
    $w = $IMG_WIDTH; //default Breite
    $h = $w * $img_size[1]/$img_size[0];
  }
  else {
    // Hochformat
    $h = $IMG_WIDTH; //default Hhe
    $w = $h * $img_size[0]/$img_size[1];
  }

  if (!$safemode) @set_time_limit(0);
  $imgneu = imagecreatetruecolor($w, $h);

  if ($typ == 2) $imgdef = ImageCreateFromJpeg($imgsrc);
  else if ($typ == 3) $imgdef = ImageCreateFromPNG($imgsrc);

  ImageCopyResampled($imgneu, $imgdef, 0, 0, 0, 0, $w, $h, $img_size[0], $img_size[1]) or die("Fehler beim Erzeugen des Bildes");
  if ($typ == 2) ImageJPEG($imgneu, $src .$IMGDIR_DEFAULT."/".$file, 90) or die("Fehler beim Speichern des Bildes");
  else if ($typ == 3) ImagePNG($imgneu, $src .$IMGDIR_DEFAULT."/".$file, 90) or die("Fehler beim Speichern des Bildes");
}


?>


<div style="text-align:center; margin-top:10px; margin-left:5%; margin-right:5%; ">
<a id="Top"></a>
<div style="width:<?php echo $IMG_WIDTH + 8; ?>px; text-align:center; margin:auto;">
<div style="text-align:left">
  <h3><?php echo $TITLE; ?></h3>
  <?php echo $SUBTITLE ?>
</div>

<table style="margin-bottom:10px; width:100%;">
  <colgroup>
  <col width="2*" />
  <col width="40px" />
  <col width="1*" />
  <col width="1*" />
  </colgroup>
  
  <tr>
    <td style="text-align:right; vertical-align:bottom;"><?php if ($img != 0) { ?><a href="image.php?src=<?php print urlencode($src); ?>&amp;img=<? print $img-1 ?>"><img src="<?php echo $LEFT; ?>" alt="Zur&uuml;ck" border="0" title="Zur&uuml;ck (Taste 'b')" /></a><?php } ?></td>
    <td style="text-align:center; height:40px; vertical-align:top;"><a href="thumbnails.php?src=<?php print urlencode($src); ?>&amp;seite=<?php print $seite . "&amp;nr=" . $nr; ?>"><img src="<?php echo $UP; ?>" border="0" alt="Thumbnails" title="Thumbnails (Taste 't')" /></a></td>
    <td style="text-align:left; vertical-align:bottom;"><?php if ($img != $size-1) { ?><a href="image.php?src=<?php print urlencode($src); ?>&amp;img=<? print $img+1 ?>"><img src="<?php echo $RIGHT; ?>" alt="Weiter" border="0" title="Weiter (Taste 'n')" /></a><?php } ?></td>
    <td style="text-align:right; vertical-align:bottom;">Bild <strong><?php print $img+1 . "/" . $size ?></strong></td>
  </tr>
</table>


<?php
  if ($RESIZE_IMG) { //Bild im Ordner $IMG_DEFAULT
    if (!is_dir($src . $IMGDIR_DEFAULT)) {
      mkdir($src . $IMGDIR_DEFAULT, 0770);
      if (!chmod($src . $IMGDIR_DEFAULT, 0770)) {
	echo "<strong>ERROR: </strong>Die Zugriffsrechte von ".$src . $IMGDIR_DEFAULT." konnten nicht gesetzt werden!";
	exit;
      }
    }
    if (!is_file($src . $IMGDIR_DEFAULT ."/". $images[$img])) {
      $imgsrc = $dir ."/". $images[$img];
      createDefaultSize($imgsrc, $images[$img]);
    }
    print "<a href=\"". $dir ."/". $images[$img] ."\"><img style=\"". $FOTO ."\" src=\"". $src . $IMGDIR_DEFAULT ."/". $images[$img] ."\" alt=\"". $images[$img] ."\" title=\"\" /></a>";

  }
  else { //normales Bild
    print "<img style=\"". $FOTO ."\" src=\"". $dir ."/". $images[$img] ."\" alt=\"". $images[$img] ."\" title=\"\" />";
  } ?>

<?php // Textfile
if (file_exists($text)) {
  print '<div style="' . $IMG_TXT .'">';
  @readfile($text);
  print "</div>";
}


// Admin Zugriff
if ($_COOKIE["dfg-Admin"] != null) {
  if ($_POST['session']) {
    print "<form method=\"post\" action=\"".$_SERVER['REQUEST_URI']." \">";
    print '<input type="hidden" value="true" name="saveText" />';
    print "<div style=\"margin-left:20%; margin-top:20px; text-align:left\"><strong>Kommentar/Text:</strong></div>";
    print "<div style=\"text-align:center; margin-top:10px;\"><textarea name=\"txt\" cols=\"50\" rows=\"3\" >";
    if (file_exists($text)) @readfile($text);
    print "</textarea></div>";
    print "<input type=\"submit\" value=\"speichern\" name=\"save\" style=\"font-weight:bold; width:140px; height:25px; margin-top:20px;\" /></form>";
    
    print "<form method=\"post\" action=\"".$_SERVER['REQUEST_URI']." \">";
    print "<div style=\"margin-left:20%; margin-top:20px; margin-bottom:10px; text-align:left\"><strong>Dateien verwalten:</strong></div>";
    print "<div style=\"margin-left:20%; text-align:left\">";
    print "<input type=\"checkbox\" name=\"chk_rename\" size=\"30\" value=\"rename\" style=\"margin-right:10px\" />Bild umbenennen";
    print "<input type=\"text\" name=\"rename\" size=\"15\" value=\"".$images[$img]."\" style=\"margin-left:10px; padding:2px; text-align:right; \" /><br />";
    print "<input type=\"checkbox\" name=\"delImg\" size=\"30\" value=\"delImg\" style=\"margin-top:20px; margin-right:10px; \" />Bilddaten l&ouml;schen (Originalbild, Anzeigebild, Thumbnail und Text)<br />";
    print "<input type=\"checkbox\" name=\"delText\" size=\"30\" value=\"delText\" style=\"margin-right:10px\" />Text/Kommentar l&ouml;schen</div><br />";
    print "<input type=\"submit\" value=\"&uuml;bernehmen\" name=\"apply\" style=\"font-weight:bold; width:140px; height:25px; margin-top:20px;\" /></form>";
    print '<div style="text-align:right; margin-right:5px;"><a href="dfg-admin.php">dfg-Admin</a></div>';
    
  }  
  else { 
    print "<form method=\"post\" action=\"". $_SERVER['REQUEST_URI'] ."\">";
    print '<input type="hidden" value="true" name="session" />';
    print '<input type="submit" value="Bilddaten verwalten" name="edit" style="font-weight:bold; width:200px; height:25px; margin-top:20px;" />';
    print '</form>';
  }
}
?> 

<!-- DO NOT REMOVE THE COPYRIGHT OR YOU OFFEND AGAINST THE LICENSE AGREEMENT!!!
NICHT DAS COPYRIGHT ENTFERNEN ODER DU VERSTSST GEGEN DAS LIZENZ ABKOMMEN!!! //-->
<div style="<?php echo $COPYRIGHT; ?>">Gallery created with dFG V<?php echo $DFG_VERSION; ?><br />&copy; by Alexander Fieroch<br />
<a href="http://dfg.fieroch.de" target="_top">http://dfg.fieroch.de</a></div>

</div>

</div>
</body>
</html>
