<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtm
l1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">

<?php  
require 'dfg-conf.inc.php';

/* PHP save_mode? */
if (ini_get('safe_mode')) $safemode = true;
else $safemode = false;


$src = $_GET['src'];
if (!preg_match("/[\/]$/", $src)) $src = $src . "/";

if (!isset($_GET['seite'])) $seite=1;
else $seite = $_GET['seite'];
if (!isset($_GET['nr'])) $nr=0;
else $nr = $_GET['nr'];

if (is_file($src . "fotos-conf.inc.php")) include $src . 'fotos-conf.inc.php';
?>

<head>
<title>Fotogalerie <?php echo $TITLE; ?></title>
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
<meta name="description" content="Foto-Galerie erzeugt mit dFG V<?php echo $DFG_VERSION ?> (http://dfg.fieroch.de)" />
<meta name="robots" content="follow" />
<?php 
include 'dfg_version.php';
?>
<style type="text/css">
<!--
<?php echo $HOVER; ?>
-->
</style>
</head>

<body>
<?php 
include 'dfg-login.inc.php';

function save($text) {
  if (!file_exists($text)) touch($text);
  if (is_writeable($text)) {
    $f = fopen($text, "w"); 
    fwrite($f, stripslashes($_POST['txt'])) or die("<strong>ERROR:</strong> Der Kommentar konnte nicht abgespeichert werden!");
    fclose($f);
  }
  else {
    print "<strong>ERROR:</strong> Die Datei $text ist schreibgesch&uuml;tzt!";
    exit;
  }
}




if ($_COOKIE["dfg-Admin"] != null && $PASSWORD == $_COOKIE['dfg-Admin']) {
  $text = $src . $THUMBS_TXT;
  if ($_POST['saveTxt']) { 
    save($text);
  }

  /* Text lschen */
  if ($_POST['delText'] && is_file($text)) {
    unlink($text) or die("<strong>ERROR:</strong> Die Datei $text konnte nicht gel&ouml;scht werden!");
  }

  /* Datei-Upload */
  if (isset($_FILES['upload']) and ! $_FILES['upload']['error']) {
    move_uploaded_file($_FILES['upload']['tmp_name'], $src."images/" . $_FILES['upload']['name']);
  }
}




/** 
 * hier wird berprft, ob es Thumbnails gibt 
 * und fehlende werden gegebenfalls erstellt 
 */

$dirimg = $src . "images";

if (!is_dir($src)) die("<strong>ERROR:</strong> Das Verzeichnis &quot;$src&quot; existiert nicht!<br />Bitte auch Gro-und Kleinschreibung beachten!");

if (!is_writable($src)) {
  print "<strong>ERROR:</strong> Das Verzeichnis &quot;$src&quot; besitzt keine Schreibrechte!<br />
         Bitte Schreibrechte f&uuml;r den Webserver auf &quot;$src&quot; setzen.";
  exit;
}
if (!is_dir($src . "thumbs")) {
  if (!$safemode) mkdir($src . "thumbs", 0777);
  else die("<strong>ERROR:</strong> Der Server l&auml;uft im <em>php safe_mode</em>!<br />Das Verzeichnis &quot;thumbs&quot; muss im Verzeichnis &quot;$src&quot; manuell angelegt und mit Schreibrechten versehen werden, damit das Skript trotzdem funktioniert!");
}

if ($handle = opendir($dirimg)) {
  while (false !== ($file = readdir($handle))) { 
    /* gibt es dazu ein thumbnail? */
    if (is_file($dirimg . "/" .$file)) {
      if (!is_file($src . "thumbs/" .$file)) {

	/* ist die Datei berhaupt ein untersttztes Bild (2=JPG, 3=PNG)? */
	$imgsrc = $dirimg."/".$file; //Die URL zum Original-Bild
	$typ = GetImageSize($imgsrc);
	switch ($typ[2]) {
	case 2: 
	  createThumbs($imgsrc, $file, 2); //JPG
	  break;
	case 3:
	  createThumbs($imgsrc, $file, 3); //PNG
	  break;
	default:
	  // echo "$file ist kein untersttztes Bildformat";
	  break;
	}
      }
    }
  }
  closedir($handle); 
}




function createThumbs($imgsrc, $file, $typ) {
  /* hier werden die Thumbs erstellt */
  global $src;
  $thumbdir = $src . "thumbs/"; //Das Verzeichnis, in dem die Thumbnails abgelegt werden
  
  $size = GetImageSize($imgsrc);
  
  /* Querformat oder Hochformat? */
  if ($size[0] > $size[1]) {
    // Querformat
    $w = 100; //default Breite
    $h = $w * $size[1]/$size[0];
  }
  else {
    // Hochformat
    $h = 100; //default Hhe
    $w = $h * $size[0]/$size[1];
  }

  $thumb = imagecreatetruecolor($w, $h);
  if ($typ == 2) $image = ImageCreateFromJpeg($imgsrc);
  else if ($typ == 3) $image = ImageCreateFromPNG($imgsrc);

  if (!$safemode) @set_time_limit(0);
  ImageCopyResampled($thumb, $image, 0, 0, 0, 0, $w, $h, $size[0], $size[1]) or die("Fehler beim Erzeugen des Bildes");

  if ($typ == 2) ImageJPEG($thumb, $thumbdir.$file, 90) or die("Fehler beim Speichern des Bildes");
  else if ($typ == 3) ImagePNG($thumb, $thumbdir.$file, 90) or die("Fehler beim Speichern des Bildes");
}




/* hier werden die Thumbnails eingelesen */
$dir = $src . "thumbs";
if ($handle = opendir($dir)) {
  $i = 0;
  while (false !== ($file = readdir($handle))) { 
    if (is_file($dir."/".$file)) {
      $thumbs[] = $file;
      $i++;
    }
  }
  sort($thumbs);
  
  /* errechnet die bentigte Seitenanzahl */
  $size = count($thumbs);
  $thumbsseiten = (int) ($size / $bps);
  if ($size % $bps != 0) $thumbsseiten++;
	
  closedir($handle); 
}
?>





<div style="text-align:center; margin-top:10px; margin-left:5%; margin-right:5%; ">
<a id="Top"></a>

<div style="text-align:left">
<h3><?php echo $TITLE; ?></h3><span style="padding-bottom:10px;"><?php echo $SUBTITLE; ?></span>
</div> 

<?php /* berprfen, ob Thumbnailsanzahl == Bilderanzahl */ 
$dh  = opendir($src."images");
while (false !== ($filename = readdir($dh))) {
    $files[] = $filename;
}
unset($files[0]);
unset($files[1]);
$images_size = count($files);
closedir($dh); 

if ($size != $images_size) { ?>
  <div style="color:white; background-color:red; border:4px outset #808080; width:75%; margin:auto; 
margin-top:20px; margin-bottom:20px; padding:10px">
     <div style="text-align:center; font-weight:bold; font-size:large; color:white; background-color
:red; padding-bottom:5px">ACHTUNG!</div>
     Die Anzahl der Bilder stimmt nicht mit der Anzahl der Thumbnails &uuml;berein!<br />Dadurch werden die Bilder teilweise falsch mit den Thumbnails verkn&uuml;pft!<br /><strong>L&ouml;sung:</strong> Einfach alle Thumbnails l&ouml;schen!</div>
<?php } ?>


<table style="margin-bottom:0px; width:100%;">
  <colgroup>
  <col width="1*" />
  <col width="150px" />
  <col width="1*" />
  </colgroup>
  
  <tr>
<?php 
/* generiert die Seitenzahl der Thumbnailseiten */
if ($thumbsseiten == 1) { // Seite 1 von 1
  print "    <td style=\"width:auto;\"></td>";
  print "    <td style=\"text-align:center\">Seite " . $seite . " von " . $thumbsseiten ."</td>";
  print "    <td style=\"width:auto;\"></td>"; 
} 
else if ($thumbsseiten > 1) {
  print "    <td style=\"text-align:right\">";
  if ($seite > 1) { ?>
    <a href="thumbnails.php?src=<?php print urlencode($src); ?>&seite=<?php print $seite-1 ?>&nr=<?php print $nr-$bps; ?>" ><img style="border:none; margin-left:0px; margin-right:15px; margin-bottom:-5px;" src="<?php echo $LEFT; ?>" alt="Zur&uuml;ck" title="Zur&uuml;ck" /></a>
<?php
  }
  print "    </td>";
?>
    <td style="text-align:center">Seite <?php print $seite . " von " . $thumbsseiten . "</td>"; 
  print "    <td style=\"text-align:left\">";
  if ($seite < $thumbsseiten) { ?>
    <a href="thumbnails.php?src=<?php print urlencode($src); ?>&amp;seite=<?php print $seite+1 ?>&amp;nr=<?php print $nr+$bps; ?>" ><img style="border:none; margin-left:15px; margin-right:0px; margin-bottom:-5px" src="<?php echo $RIGHT; ?>" alt="Weiter" title="Weiter" /></a>
<?php
  }
  print "    </td>"; 
} ?>
  </tr>
</table>

 
  <table style="table-layout:fixed; margin-top:-50px; border:4px outset #808080; text-align:center; vertical-align:middle; width:100%; border-collapse:collapse" >
    <tr> 
<?php
/* um korrektes Tabellenende mit vier spalten zu erhalten */
$tab = 4 - ($size % 4);
if ($tab > 4) $tab -= 4;

/* generiert die Thumbnailanzeige */
for ($i = $nr; $i < $size + $tab; $i++) {
	print "<td style=\"border:1px solid #000 \">";
	if ($i < $size) {
?>
	<a href="image.php?src=<?php print urlencode($src); ?>&amp;img=<?php print $i; ?>"><img class="thumb" src="<?php print $dir . "/" . $thumbs[$i]; ?>" alt="<?php print $thumbs[$i]; ?>" border="0" title="" /></a>
<?php
	}
echo "</td>";
	if ($i%4 == 3) {
		if ( ($i == $size-1) || ($i == $nr+$bps-1) ) break; //Abbruch, wenn keine weiteren Tabellenzeilen und -spalten mehr bentigt werden
echo "</tr>\n<tr>";
	}
}
?>
	</tr>
  </table>


<?php // Textfile
$text = $src . $THUMBS_TXT;
if (file_exists($text)) {
  print '<div style="' . $THUMBS_TXT_CSS .'">';
  @readfile($text);
  print "</div>";
}


// Admin Zugriff
if ($_COOKIE["dfg-Admin"] != null && $PASSWORD == $_COOKIE['dfg-Admin']) {
  if ($_POST['session']) {
    print "<div style=\"margin-left:20%; margin-top:20px; text-align:left\"><strong>Kommentar/Text:</strong></div>";
    print "<form method=\"post\" action=\"".$_SERVER['REQUEST_URI']." \">";
    print '<input type="hidden" value="true" name="saveTxt" />';
    print "<div style=\"text-align:center; margin-top:10px;\"><textarea name=\"txt\" cols=\"50\" rows=\"3\" >";
    if (file_exists($text)) @readfile($text);
    print "</textarea></div>";
    print "<input type=\"submit\" value=\"speichern\" name=\"save\" style=\"font-weight:bold; width:140px; height:25px; margin-top:20px;\" /></form>";
    
    print "<form method=\"post\" action=\"".$_SERVER['REQUEST_URI']." \">";
    print "<div style=\"margin-left:20%; margin-top:20px; margin-bottom:10px; text-align:left\"><strong>Dateien verwalten:</strong></div>";
    print "<div style=\"margin-left:20%; text-align:left\">";
    print "<input type=\"checkbox\" name=\"delText\" size=\"30\" value=\"delText\" style=\"margin-right:10px\" />Text/Kommentar l&ouml;schen</div><br />";
    print "<input type=\"submit\" value=\"&uuml;bernehmen\" name=\"apply\" style=\"font-weight:bold; width:140px; height:25px; margin-top:20px;\" /></form>";
    
    print "<div style=\"margin-left:20%; margin-top:20px; margin-bottom:10px; text-align:left\"><strong>Bild hochladen:</strong>";
    print "<form action=\"". $_SERVER['REQUEST_URI']."\" method=\"post\" enctype=\"multipart/form-data\">";
    print "<input type=\"file\" name=\"upload\" size=\"30\" accept=\"*.jpg, *.png\" />";
    print "<input type=\"submit\" value=\"Upload!\" style=\"margin-top:10px; \" />";
    print "</form></div>";
    
    print '<div style="text-align:right; margin-right:5px;"><a href="dfg-admin.php">dfg-Admin</a></div>';
  }  
  else { 
    print "<form method=\"post\" action=\"". $_SERVER['REQUEST_URI'] ."\">";
    print '<input type="hidden" value="true" name="session" />';
    print '<input type="submit" value="verwalten" name="edit" style="font-weight:bold; width:140px; height:25px; margin-top:20px; text-align:center;" />';
    print '</form>';
  }
}

?> 


<!-- DO NOT REMOVE THE COPYRIGHT OR YOU OFFEND AGAINST THE LICENSE AGREEMENT!!!
NICHT DAS COPYRIGHT ENTFERNEN ODER DU VERSTSST GEGEN DAS LIZENZ ABKOMMEN!!! //-->
	<div style="<?php echo $COPYRIGHT; ?>">Gallery created with dFG V<?php echo $DFG_VERSION; ?><br />&copy; by Alexander Fieroch<br />
<a href="http://dfg.fieroch.de" target="_top">http://dfg.fieroch.de</a></div>


</div>
</body>
</html>
